# distort.cpp File Reference

Implementation of the "Noise Distort" layer. More...

`#include "distort.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`

## Functions

| SYNFIG_LAYER_INIT (NoiseDistort)
| SYNFIG_LAYER_SET_NAME (NoiseDistort,"noise_distort")
| SYNFIG_LAYER_SET_LOCAL_NAME (NoiseDistort, N_("Noise Distort"))
| SYNFIG_LAYER_SET_CATEGORY (NoiseDistort, N_("Distortions"))
| SYNFIG_LAYER_SET_VERSION (NoiseDistort,"0.0")
| SYNFIG_LAYER_SET_CVS_ID (NoiseDistort,"$Id$")

## Detailed Description

Implementation of the "Noise Distort" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | NoiseDistort |  | ) |

SYNFIG_LAYER_SET_NAME | ( | NoiseDistort | ,
|  | "noise_distort" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | NoiseDistort | ,
|  | N_("Noise Distort") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | NoiseDistort | ,
|  | N_("Distortions") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | NoiseDistort | ,
|  | "0.0" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | NoiseDistort | ,
|  | "$Id$" |  |
| ) |  |  |